DROP TABLE IF EXISTS `Diagrams`
CREATE TABLE `Diagrams` (`id` int(11) NOT NULL, `name` text NOT NULL, PRIMARY KEY (`id`)) ENGINE=InnoDB DEFAULT CHARSET=utf8
DROP TABLE IF EXISTS `Nodes`
CREATE TABLE `Nodes`( `id` text NOT NULL, `diagramId` int(11) NOT NULL, `text` text DEFAULT NULL, `shape` text NOT NULL, `x` double(23,15) NOT NULL, `y` double(23,15) NOT NULL, `width` double(20,13) NOT NULL, `height` double(20,13) NOT NULL) ENGINE=InnoDB DEFAULT CHARSET=utf8
DROP TABLE IF EXISTS`Links`
CREATE TABLE `Links` (`id` text NOT NULL, `diagramId` int(11) NOT NULL, `originId` text NOT NULL, `destinationId` text NOT NULL, `shape` text NOT NULL, `text` text DEFAULT NULL ) ENGINE=InnoDB DEFAULT CHARSET=utf8
DROP TABLE IF EXISTS `ControlPoints`
CREATE TABLE `ControlPoints` (`id` int(11) NOT NULL, `linkId` text NOT NULL, `pointIndex` int(11) NOT NULL, `x` double(23,15) NOT NULL, `y` double(23,15) NOT NULL) ENGINE=InnoDB DEFAULT CHARSET=utf8